{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Тест на типы и конструкции #"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "1. 10 / 2 – что получится в результате деления?\n",
    "\n",
    "- [x] Вещественное число 5.0\n",
    "- [ ] Целое число 5"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "2. True или False?\n",
    "\n",
    "```python\n",
    "bool(0.0)\n",
    "```\n",
    "\n",
    "- [ ] True\n",
    "- [x] False"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "3. Чему равно name?\n",
    "\n",
    "```python\n",
    "x = 0\n",
    "y = 12\n",
    "name = x or y\n",
    "```\n",
    "\n",
    "- [ ] 0\n",
    "- [ ] False\n",
    "- [ ] True\n",
    "- [x] 12"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "4. Что выведет?\n",
    "\n",
    "```python\n",
    "print(r\"//\\\\\")\n",
    "```\n",
    "\n",
    "- [x] `//\\\\`\n",
    "- [ ] `//\\`\n",
    "- [ ] `/\\`"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "5. Выберите правильные варианты объявления строки в Python?\n",
    "\n",
    "- [x] \"строка\"\n",
    "- [x] f\"строка\"\n",
    "- [x] r\"строка\"\n",
    "- [x] 'строка'\n",
    "- [x] \"\"\"строка\"\"\""
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "6. Отметьте правдивые факты про строки\n",
    "\n",
    "- [x] строки в Python неизменяемые\n",
    "- [x] строки - это последовательность юникодных символов\n",
    "- [ ] строки в Python - это последовательность чисел от 0 до 255"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "7. Что получится в результате выполнения?\n",
    "\n",
    "```python\n",
    "\"a\" * 3\n",
    "```\n",
    "\n",
    "- [ ] Упадет исключение\n",
    "- [x] Строка \"aaa\""
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "8. Что получится в результате выполнения среза?\n",
    "\n",
    "```python\n",
    "\"привет\"[::-1]\n",
    "```\n",
    "\n",
    "- [ ] \"т\"\n",
    "- [x] \"тевирп\""
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "9. Срез строки\n",
    "\n",
    "```python\n",
    "\"привет\"[:]\n",
    "```\n",
    "\n",
    "- [ ] вернет пустую строку\n",
    "- [ ] приведет к исключению SyntaxError\n",
    "- [x] вернет копию строки \"привет\""
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "10. `bool(\"\")`\n",
    "\n",
    "- [x] False\n",
    "- [ ] True"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "11. Истинные выражения про байтовые строки\n",
    "\n",
    "- [x] Это последовательность чисел от 0 до 255\n",
    "- [ ] Это последовательность юникодных символов"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "12. Какой метод превратит строку в байтовую строку?\n",
    "\n",
    "- [x] encode()\n",
    "- [ ] decode()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "13. Какие из записей не приведут к исключению?\n",
    "\n",
    "- [x] b\"test\"\n",
    "- [ ] b\"тест\"\n",
    "- [x] b\"\""
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "14. Что выведет программа?\n",
    "\n",
    "```python\n",
    "x = \"Москва\"\n",
    "if \"ква\" not in x:\n",
    "  print(\"1\")\n",
    "elif \"ва\" not in x:\n",
    "  print(\"2\")\n",
    "else:\n",
    "  print(\"3\")\n",
    "```\n",
    "\n",
    "- [x] 3\n",
    "- [ ] 1\n",
    "- [ ] 2"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "15. Что выведет программа?\n",
    "\n",
    "```python\n",
    "n = 0\n",
    "while n < 3:\n",
    "    if n > 0:\n",
    "        continue\n",
    "    else:\n",
    "        break\n",
    "    n += 1\n",
    "\n",
    "print(n)\n",
    "```\n",
    "\n",
    "- [ ] 2\n",
    "- [x] 0\n",
    "- [ ] Это бесконечный цикл\n",
    "- [ ] 3"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "16. Что выведет программа?\n",
    "\n",
    "```python\n",
    "s = \"\"\n",
    "\n",
    "for i in range(2, 10, 2):\n",
    "    s += str(i)\n",
    "\n",
    "print(s)\n",
    "```\n",
    "\n",
    "- [x] 2468\n",
    "- [ ] 246810\n",
    "- [ ] 23456789"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 4
}
